##
##  infozip.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_zip_here   3.00
%define       V_zip_real   30
%define       V_unzip_here 6.00
%define       V_unzip_real 60

#   package information
Name:         infozip
Summary:      Un-/Packing Tools for [PK]ZIP Files
URL:          http://www.info-zip.org/
Vendor:       Samuel H. Smith, Greg Roelofs
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Archiver
License:      BSD
Version:      %{V_zip_here}.%{V_unzip_here}
Release:      20140427

#   list of sources
Source0:      ftp://ftp.info-zip.org/pub/infozip/src/zip%{V_zip_real}.tgz
Source1:      ftp://ftp.info-zip.org/pub/infozip/src/unzip%{V_unzip_real}.tgz
Patch0:       infozip.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Info-ZIP provides free, portable, high-quality versions of the Zip
    and UnZip compressor-archiver utilities that are compatible with the
    DOS-based PKZIP by PKWARE, Inc.

%track
    prog infozip:unzip = {
        version   = %{V_unzip_real}
        url       = ftp://ftp.info-zip.org/pub/infozip/src/
        regex     = unzip(__VER__)\.tgz
    }
    prog infozip:zip = {
        version   = %{V_zip_real}
        url       = ftp://ftp.info-zip.org/pub/infozip/src/
        regex     = [^n]zip(__VER__)\.tgz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %patch -p0

%build
    ( cd zip%{V_zip_real}
      %{l_shtool} subst \
          -e 's;@l_cpp@;%{l_cc} -E;' \
          unix/configure
      %{l_make} %{l_mflags} -f unix/Makefile generic
    ) || exit $?
    ( cd unzip%{V_unzip_real}
      os=generic
      case "%{l_platform -t}" in
          *-linux*      ) os=linux_noasm ;;
          *-sunos*      ) os=solaris     ;;
          ix86-freebsd* ) os=freebsd     ;;
          *-freebsd*    ) os=bsd         ;;
      esac
      %{l_make} %{l_mflags} -f unix/Makefile $os
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}
    ( cd zip%{V_zip_real}
      %{l_make} %{l_mflags} -f unix/Makefile install \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          INSTALL="%{l_shtool} install -c" \
          INSTALL_D="%{l_shtool} mkdir -f -p -m 755"
    ) || exit $?
    ( cd unzip%{V_unzip_real}
      %{l_make} %{l_mflags} -f unix/Makefile install \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          INSTALL_D="%{l_shtool} mkdir -f -p -m 755"
    ) || exit $?
    chmod -R u+w $RPM_BUILD_ROOT%{_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

